package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TableShouyiYaopinxinxi{
    private Integer id;
    private String 药品编号;
    private String 药品名称;
    private String 计量单位;
    private String 规格;
    private String 主要成分;
    private String 有效成分;
    private BigDecimal 单价;
    private String 生产厂家;
    private String 药品制定部门;
    private Integer flagcolumn;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String get药品编号(){
        return this.药品编号;
    }

    public void set药品编号(String 药品编号){
        this.药品编号 = 药品编号;
    }
    public String get药品名称(){
        return this.药品名称;
    }

    public void set药品名称(String 药品名称){
        this.药品名称 = 药品名称;
    }
    public String get计量单位(){
        return this.计量单位;
    }

    public void set计量单位(String 计量单位){
        this.计量单位 = 计量单位;
    }
    public String get规格(){
        return this.规格;
    }

    public void set规格(String 规格){
        this.规格 = 规格;
    }
    public String get主要成分(){
        return this.主要成分;
    }

    public void set主要成分(String 主要成分){
        this.主要成分 = 主要成分;
    }
    public String get有效成分(){
        return this.有效成分;
    }

    public void set有效成分(String 有效成分){
        this.有效成分 = 有效成分;
    }
    public BigDecimal get单价(){
        return this.单价;
    }

    public void set单价(BigDecimal 单价){
        this.单价 = 单价;
    }
    public String get生产厂家(){
        return this.生产厂家;
    }

    public void set生产厂家(String 生产厂家){
        this.生产厂家 = 生产厂家;
    }
    public String get药品制定部门(){
        return this.药品制定部门;
    }

    public void set药品制定部门(String 药品制定部门){
        this.药品制定部门 = 药品制定部门;
    }
    public Integer getFlagcolumn(){
        return this.flagcolumn;
    }

    public void setFlagcolumn(Integer flagcolumn){
        this.flagcolumn = flagcolumn;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

}

